### Class

# WPEPlatform Keymap

#### Description

    abstract class WPEPlatform.Keymap : GObject.Object
    {
      WPEKeymapPrivate* priv
    }

No description available.

#### Ancestors

- GObject

#### Descendants

- WPEKeymapXKB

#### Instance methods

###### wpe_keymap_get_entries_for_keyval

No description available.

###### wpe_keymap_get_modifiers

Get the modifiers state of `keymap`.

###### wpe_keymap_translate_keyboard_state

Translate `keycode`, `modifiers` and `group` into a keyval, effective group and level. Modifiers that affected the translation are returned in `consumed_modifiers`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WPEPlatformKeymapClass {
      GObjectClass parent_class;
      gboolean (* get_entries_for_keyval) (
        WPEKeymap* keymap,
        guint keyval,
        WPEKeymapEntry** entries,
        guint* n_entries
      );
      gboolean (* translate_keyboard_state) (
        WPEKeymap* keymap,
        guint keycode,
        WPEModifiers modifiers,
        int group,
        guint* keyval,
        int* effective_group,
        int* level,
        WPEModifiers* consumed_modifiers
      );
      WPEModifiers (* get_modifiers) (
        WPEKeymap* keymap
      );
      gpointer padding;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`get_entries_for_keyval: gboolean (* get_entries_for_keyval) ( WPEKeymap* keymap, guint keyval, WPEKeymapEntry** entries, guint* n_entries )`

  No description available.

`translate_keyboard_state: gboolean (* translate_keyboard_state) ( WPEKeymap* keymap, guint keycode, WPEModifiers modifiers, int group, guint* keyval, int* effective_group, int* level, WPEModifiers* consumed_modifiers )`

  No description available.

`get_modifiers: WPEModifiers (* get_modifiers) ( WPEKeymap* keymap )`

  No description available.

`padding: gpointer`

  No description available.

#### Virtual methods

###### WPEPlatform.KeymapClass.get_entries_for_keyval

No description available.

###### WPEPlatform.KeymapClass.get_modifiers

Get the modifiers state of `keymap`.

###### WPEPlatform.KeymapClass.translate_keyboard_state

Translate `keycode`, `modifiers` and `group` into a keyval, effective group and level. Modifiers that affected the translation are returned in `consumed_modifiers`.